org.apache.ode.bpel.dao

## Interface BpelDAOConnection

- All Known Implementing Classes:
    BpelDAOConnectionImpl, BPELDAOConnectionImpl

      public interface BpelDAOConnection

  Represents the physical resource for connecting to the bpel state store.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<BpelEvent>` | `bpelEventQuery(InstanceFilter ifilter, BpelEventFilter efilter)` Execute a query to retrieve the BPEL events matching the criteria.
    `java.util.List<java.util.Date>` | `bpelEventTimelineQuery(InstanceFilter ifilter, BpelEventFilter efilter)` Execute a query for the timeline for BPEL events matching the criteria.
    `void` | `close()`
    `MessageExchangeDAO` | `createMessageExchange(char dir)` Create a message exchange.
    `ProcessDAO` | `createProcess(javax.xml.namespace.QName pid, javax.xml.namespace.QName type, java.lang.String guid, long version)`
    `ProcessDAO` | `createTransientProcess(java.io.Serializable id)`
    `java.util.Collection<CorrelationSetDAO>` | `getActiveCorrelationSets()`
    `java.util.Map<java.lang.Long,java.util.Collection<CorrelationSetDAO>>` | `getCorrelationSets(java.util.Collection<ProcessInstanceDAO> instances)`
    `ProcessInstanceDAO` | `getInstance(java.lang.Long iid)` Retrieve a process instance from the database.
    `MessageExchangeDAO` | `getMessageExchange(java.lang.String mexid)`
    `int` | `getNumInstances(javax.xml.namespace.QName processId)`
    `ProcessDAO` | `getProcess(javax.xml.namespace.QName processId)` Return the DAO for a bpel process.
    `ProcessManagementDAO` | `getProcessManagement()` Returns an interface for process and instance management.
    `ScopeDAO` | `getScope(java.lang.Long siidl)` Retrieve a scope instance from the database.
    `void` | `insertBpelEvent(BpelEvent event, ProcessDAO process, ProcessInstanceDAO instance)` Insert a BPEL event into the database.
    `java.util.Collection<ProcessInstanceDAO>` | `instanceQuery(InstanceFilter criteria)` Query instances in the database meeting the requested criteria.
    `java.util.Collection<ProcessInstanceDAO>` | `instanceQuery(java.lang.String expression)`

- - ### Method Detail

    - #### getProcess

          ProcessDAO getProcess(javax.xml.namespace.QName processId)

      Return the DAO for a bpel process.
      Parameters:
        `processId` - name (identifier) of the process
      Returns:
        DAO

    - #### getInstance

          ProcessInstanceDAO getInstance(java.lang.Long iid)

      Retrieve a process instance from the database.
      Parameters:
        `iid` - instance identifier
      Returns:
        process instance

    - #### getScope

          ScopeDAO getScope(java.lang.Long siidl)

      Retrieve a scope instance from the database.
      Parameters:
        `siidl` - scope instance identifier
      Returns:
        scope instance

    - #### instanceQuery

          java.util.Collection<ProcessInstanceDAO> instanceQuery(InstanceFilter criteria)

      Query instances in the database meeting the requested criteria.
      Parameters:
        `criteria` -
      Returns:
        Collection

    - #### instanceQuery

          java.util.Collection<ProcessInstanceDAO> instanceQuery(java.lang.String expression)

    - #### getNumInstances

          int getNumInstances(javax.xml.namespace.QName processId)

    - #### insertBpelEvent

          void insertBpelEvent(BpelEvent event,
                               ProcessDAO process,
                               ProcessInstanceDAO instance)

      Insert a BPEL event into the database.
      Parameters:
        `event` - a BPEL event
        `process` - associated process (optional)
        `instance` - associated instance (optional)

    - #### bpelEventTimelineQuery

          java.util.List<java.util.Date> bpelEventTimelineQuery(InstanceFilter ifilter,
                                                                BpelEventFilter efilter)

      Execute a query for the timeline for BPEL events matching the criteria.
      Parameters:
        `ifilter` - instance filter (optional)
        `efilter` - event filter (optional)
      Returns:
        List of event timestamps of events matching the criteria

    - #### bpelEventQuery

          java.util.List<BpelEvent> bpelEventQuery(InstanceFilter ifilter,
                                                   BpelEventFilter efilter)

      Execute a query to retrieve the BPEL events matching the criteria.
      Parameters:
        `ifilter` - instance filter
        `efilter` - event filter
      Returns:

    - #### close

          void close()

    - #### getCorrelationSets

          java.util.Map<java.lang.Long,java.util.Collection<CorrelationSetDAO>> getCorrelationSets(java.util.Collection<ProcessInstanceDAO> instances)

    - #### getActiveCorrelationSets

          java.util.Collection<CorrelationSetDAO> getActiveCorrelationSets()

    - #### createTransientProcess

          ProcessDAO createTransientProcess(java.io.Serializable id)

    - #### createProcess

          ProcessDAO createProcess(javax.xml.namespace.QName pid,
                                   javax.xml.namespace.QName type,
                                   java.lang.String guid,
                                   long version)

    - #### createMessageExchange

          MessageExchangeDAO createMessageExchange(char dir)

      Create a message exchange.
      Parameters:
        `dir` - type of message exchange
      Returns:

    - #### getMessageExchange

          MessageExchangeDAO getMessageExchange(java.lang.String mexid)

    - #### getProcessManagement

          ProcessManagementDAO getProcessManagement()

      Returns an interface for process and instance management.
      Returns:
        a ProcessManagement DAO